Unable to upgrade postgres version 15 to 16

TIen Vo 5 Reputation points
2024-04-10T21:24:25.7+00:00

Hi, I'm trying to upgrade postgres version 15 to 16 but it comes with an error message:

{
  "code": "InternalServerError",
  "message": "An unexpected error occured while processing the request. Tracking ID: 'bcdc59d9-059a-4961-a6de-033d95477369'"
}
Azure Database for PostgreSQL
{count} vote

1 answer

Sort by: Most helpful
  1. GeethaThatipatri-MSFT 28,767 Reputation points Microsoft Employee
    2024-04-12T12:33:02.4366667+00:00

    Hi, @TIen Vo ,@Pankaj Awaghad On checking with our internal team, it appears that upgrading to the major version is not supported for certain servers at this time. This is because there are ongoing fixes being addressed by the team, with deployment expected in April or mid-May.

    To verify the details of your server, kindly provide the server's name and region toAzCommunity[at]Microsoft[dot]com

    Email subject: <Attn - Geetha : Microsoft Q&A Thread title>

    Thread URL: <Microsoft Q&A Thread>
    
    Subscription ID: <your subscription id>
    
    Looking forward to your reply.
    

    Regards,

    Geetha